## sift 0.1.0

=== DESCRIPTION ===
Package: sift
Type: Package
Title: Intelligently Peruse Data
Version: 0.1.0
Authors@R: 
    c(person(given = "Scott",
             family = "McKenzie",
             role = c("aut", "cre"),
             email = "sccmckenzie@gmail.com"),
      person(given = "RStudio",
             role = c("cph"),
             comment = "internal functions from dplyr.R"))
Maintainer: Scott McKenzie <sccmckenzie@gmail.com>
Description: Facilitate extraction of key information from common datasets.
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
Imports: pastecs (>= 1.3.21), stats, dplyr (>= 1.0.0), rlang (>=
        0.4.3), tidyr (>= 1.0.0), tibble, purrr, glue, tidyselect
RoxygenNote: 7.1.1
Suggests: knitr, ggplot2, testthat (>= 3.0.0), rmarkdown, mopac, hms,
        stringr, readr
Config/testthat/edition: 3
Depends: R (>= 3.3.0)
VignetteBuilder: knitr
LinkingTo: cpp11
SystemRequirements: C++11
NeedsCompilation: yes
Packaged: 2021-07-03 18:58:25 UTC; Scott
Author: Scott McKenzie [aut, cre],
  RStudio [cph] (internal functions from dplyr.R)
Repository: CRAN
Date/Publication: 2021-07-05 09:10:02 UTC

## sift 4.0.3b

=== debian/changelog ===
sift (4.0.3b-6) unstable; urgency=medium

  * Binary Upload since non-free packages are not autobuild

 -- Andreas Tille <tille@debian.org>  Tue, 05 Dec 2017 09:46:16 +0100

sift (4.0.3b-5) unstable; urgency=medium

  * Fix URLs
  * Add myself to Uploaders
  * Moved debian/upstream to debian/upstream/metadata
  * Adapt d/watch to new source download location
  * cme fix dpkg-control
  * Remove inactive uploaders
  * d/watch: version=4
  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1; DEP5
  * Point watch URL to new location

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2017 11:49:11 +0100

sift (4.0.3b-4) unstable; urgency=low

  [ Andreas Tille ]
  * debian/upstream: Add citations

  [ Laszlo Kajan ]
  * Merge updates from Ubuntu 4.0.3b-3ubuntu1.

 -- Laszlo Kajan <lkajan@rostlab.org>  Mon, 08 Oct 2012 16:41:15 +0200

sift (4.0.3b-3ubuntu1) quantal; urgency=low

  * Merge with Debian unstable. Remaining changes: 
    - Update patches/debian/ld-as-needed:
      Move libs from LDFLAGS to LIBS.

 -- Michael Bienia <geser@ubuntu.com>  Sat, 26 May 2012 11:38:24 +0200

sift (4.0.3b-3) unstable; urgency=low

  * Added patches from Michael Bienia <geser@ubuntu.com>.

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 23 May 2012 18:46:18 +0200

sift (4.0.3b-2) unstable; urgency=low

  * Missing dependency blimps-utils added.
    blimps-utils provides fastaseqs, called by some scripts in sift.

 -- Laszlo Kajan <lkajan@rostlab.org>  Mon, 02 Apr 2012 11:50:09 +0200

sift (4.0.3b-1) unstable; urgency=low

  * Initial release (Closes: #660272)

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 23 Feb 2012 18:55:23 +0100

=== debian/control ===
Source: sift
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: non-free/science
XS-Autobuild: yes
Priority: optional
Build-Depends: debhelper (>= 10),
               libblimps3-dev
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/sift.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/sift.git
Homepage: http://sift.bii.a-star.edu.sg/

Package: sift
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         blimps-utils,
         csh
Description: predicts if a substitution in a protein has a phenotypic effect
 SIFT is a sequence homology-based tool that sorts intolerant from tolerant
 amino acid substitutions and predicts whether an amino acid substitution
 in a protein will have a phenotypic effect. SIFT is based on the premise
 that protein evolution is correlated with protein function. Positions
 important for function should be conserved in an alignment of the protein
 family, whereas unimportant positions should appear diverse in an alignment.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE:=sift
DESTDIR:=$(CURDIR)/debian/$(PACKAGE)
VERSION:=4.0.3b
prefix:=/usr
pkgdatadir:=$(prefix)/share/$(PACKAGE)

SIFT_BINDIR := $(prefix)/lib/sift/bin
SIFT_SCRIPTDIR := $(prefix)/lib/sift/bin

parallel := 1
$(eval $(DEB_BUILD_OPTIONS))

%:
	dh $@

MAN1:=info_on_seqs.1 SIFT_for_submitting_fasta_seq.csh.1

.PHONY: man
man: $(MAN1)

%.1: %.pod
	pod2man -c 'User Commands' --release="$(VERSION)" $< > $@

override_dh_auto_clean:
	if [ -e src/Makefile -a -e src/deps.mk ]; then make -j$(parallel) -C src prefix=$(prefix) distclean; fi
	rm -f $(MAN1)
	# remove pre-compiled binaries from bin - thanks to Michael Bienia <geser@ubuntu.com>
	rm -f bin/choose_seqs_via_psiblastseedmedian
	rm -f bin/clump_output_alignedseq
	rm -f bin/consensus_to_seq
	rm -f bin/fastaseqs
	rm -f bin/info_on_seqs
	rm -f bin/process_alignment
	rm -f bin/psiblast_res_to_fasta_dbpairwise
	rm -f bin/seqs_from_psiblast_res

override_dh_auto_build: man
	make -j$(parallel) -C src prefix=$(prefix) VERSION=$(VERSION) deps.mk && \
	make -j$(parallel) -C src prefix=$(prefix) VERSION=$(VERSION)

override_dh_auto_install:
	make -C src DESTDIR=$(DESTDIR) prefix=$(prefix) install

override_dh_install:
	# lkajan: fastaseqs comes from the blimps package, this source does not have rules for creating it
	dh_install -X.svn -X.swp -XIntersectFeatures.jar -XManuals -Xfastaseqs -Xlinux -Xsolaris bin $(prefix)/lib/sift/
	dh_install bin/IntersectFeatures.jar $(pkgdatadir)/
	dh_install -X.svn -X.swp blimps/docs $(prefix)/share/sift/blimps/
	#Links are created by debian/links
	for f in SIFT_for_submitting_fasta_seq.csh SIFT_for_submitting_NCBI_gi_id.csh; do \
		sed --in-place -e 's|\b__MAKE_PREFIX__\b|$(prefix)|g;s|__SIFT_SCRIPTDIR__|$(SIFT_SCRIPTDIR)|g;s|__SIFT_BINDIR__|$(SIFT_BINDIR)|g;' $(DESTDIR)$(SIFT_SCRIPTDIR)/$$f; \
	done;
	for f in seqs_chosen_via_median_info.csh SIFT_for_submitting_fasta_seq.csh SIFT_for_submitting_NCBI_gi_id.csh; do \
		sed --in-place -e 's|\b__MAKE_PREFIX__\b|$(prefix)|g;s|__SIFT_SCRIPTDIR__|$(SIFT_SCRIPTDIR)|g;s|__SIFT_BINDIR__|$(SIFT_BINDIR)|g;' $(DESTDIR)$(SIFT_SCRIPTDIR)/$$f; \
	done;
	chmod +x $(DESTDIR)$(prefix)/lib/sift/bin/perlscripts/separate_query_from_rest_of_seqs.pl
	# look out: DNA_PROT_SUBROUTINES.pl is really a module (should be pm)!
	for f in SIFT_subroutines.pm DNA_PROT_SUBROUTINES.pl; do \
		chmod -x $(DESTDIR)$(prefix)/lib/sift/bin/$$f; \
	done;
	for f in IntersectFeatures.jar; do \
		chmod -x $(DESTDIR)$(pkgdatadir)/$$f; \
	done;

get-orig-source:
	mkdir -p ../tarballs
	uscan --verbose --force-download --destdir=../tarballs

=== debian/watch ===
version=4

http://sift.bii.a-star.edu.sg/www/code.html .*/public/sift@ANY_VERSION@@ARCHIVE_EXT@

# http://sift.bii.a-star.edu.sg/ .*/sift([0-9][0-9a-z.]*)\.tar\.[gzbl2]{2,3}

## sift 6.2.1

=== blimps/Makefile ===
CC = gcc
LD = gcc

NAME = blimps

OBJ_DIR = obj
SRC_DIR = $(shell pwd)
INC_DIR = ./include
LIB_DIR = ./lib

I_CMD = $(addprefix -I, $(SRC_DIR))
L_CMD = $(addprefix -L, )

CC_FLAGS = $(I_CMD) --pedantic -std=c99 -O2 -Wall -Wno-unused-result -Wno-strict-overflow 
#-Wno-aggressive-loop-optimizations
LD_FLAGS = $(I_CMD) $(L_CMD)

API = $(addprefix $(SRC_DIR)/, global.h errors.h memory.h residues.h blocks.h \
    matrix.h sequences.h aabet.h ntbet.h convert.h frequency.h files.h \
	protomat.h blocksprogs.h license.h strutil.h blastapp.h alphabet.h gcode.h \
	output.h pattern.h)

SRC = $(shell find $(SRC_DIR) -type f -regex ".*\.c" -not -name "blimps\.c")
OBJ = $(subst $(SRC_DIR), $(OBJ_DIR), $(addsuffix .o, $(basename $(SRC))))
DEP = $(OBJ:.o=.d)
INC = $(subst $(SRC_DIR), $(INC_DIR), $(API))
LIB = $(LIB_DIR)/lib$(NAME).a

all: lib include
install: all

include: $(INC)

lib: $(LIB)

$(OBJ_DIR)/%.o: $(SRC_DIR)/%.c
	@echo [CC] $<
	@mkdir -p $(dir $@)
	@$(CC) $< -c -o $@ -MMD $(CC_FLAGS)

$(INC_DIR)/%.h: $(SRC_DIR)/%.h
	@echo [CP] $@
	@mkdir -p $(dir $@)
	@cp $< $@

$(LIB): $(OBJ)
	@echo [AR] $@
	@mkdir -p $(dir $@)
	@ar rcs $(LIB) $(OBJ)

clean:
	@echo [RM] cleaning
	@rm $(LIB) $(LIB_DIR) $(INC_DIR) $(OBJ_DIR) -rf

-include $(DEP)

=== debian/changelog ===
sift (6.2.1-2) unstable; urgency=medium

  * Team upload.
  * Extract parallel from DEB_BUILD_OPTIONS without eval. Closes: #1103329.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15. Closes: #1114377.
  * Disable Salsa CI jobs which are known not to work.
  * Enable nocheck build profile job in Salsa CI.
  * Update standards-version.
  * Turn off DH_VERBOSE.

 -- Santiago Vila <sanvila@debian.org>  Sun, 28 Sep 2025 02:30:00 +0200

sift (6.2.1-1) unstable; urgency=medium

  * Team upload.

  [ Steffen Moeller ]
  * New upstream version.  (Closes: #1066998)
  * d/u/metadata:
    - added RRIDs
    - yamllint clean

  [ Andreas Tille ]
  * Fix watch file
  * Fix Vcs fields
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Drop useless get-orig-source target (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * No tab in license text (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Update renamed lintian tag names in lintian overrides.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Étienne Mollier <emollier@debian.org>  Wed, 15 Jan 2025 20:06:01 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Section: non-free/science
 XS-Autobuild: yes
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                libblimps3-dev
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/sift.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/sift.git
-Homepage: http://sift.bii.a-star.edu.sg/
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/med-team/sift
+Vcs-Git: https://salsa.debian.org/med-team/sift.git
+Homepage: https://sift.bii.a-star.edu.sg/
 
 Package: sift
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -std=gnu17


PACKAGE:=sift
DESTDIR:=$(CURDIR)/debian/$(PACKAGE)
VERSION:=6.2.1
prefix:=/usr
pkgdatadir:=$(prefix)/share/$(PACKAGE)

SIFT_BINDIR := $(prefix)/lib/sift/bin
SIFT_SCRIPTDIR := $(prefix)/lib/sift/bin

parallel := 1
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  parallel = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

%:
	dh $@

MAN1:=info_on_seqs.1 SIFT_for_submitting_fasta_seq.csh.1

.PHONY: man
man: $(MAN1)

%.1: %.pod
	pod2man -c 'User Commands' --release="$(VERSION)" $< > $@

override_dh_auto_clean:
	if [ -e src/Makefile -a -e src/deps.mk ]; then make -j$(parallel) -C src prefix=$(prefix) distclean; fi
	rm -f $(MAN1)
	# remove pre-compiled binaries from bin - thanks to Michael Bienia <geser@ubuntu.com>
	rm -f bin/choose_seqs_via_psiblastseedmedian
	rm -f bin/clump_output_alignedseq
	rm -f bin/consensus_to_seq
	rm -f bin/fastaseqs
	rm -f bin/info_on_seqs
	rm -f bin/process_alignment
	rm -f bin/psiblast_res_to_fasta_dbpairwise
	rm -f bin/seqs_from_psiblast_res
	rm -f src/choose_seqs_via_psiblastseedmedian
	rm -f src/clump_output_alignedseq
	rm -f src/consensus_to_seq
	rm -f src/deps.mk
	rm -f src/info_on_seqs
	rm -f src/psiblast_res_to_fasta_dbpairwise
	rm -f src/seqs_from_psiblast_res
	find . -name "*.o" -delete

override_dh_auto_build: man
	make -j$(parallel) -C src prefix=$(prefix) VERSION=$(VERSION) deps.mk && \
	make -j$(parallel) -C src prefix=$(prefix) VERSION=$(VERSION)

override_dh_auto_install:
	make -C src DESTDIR=$(DESTDIR) prefix=$(prefix) install

override_dh_install:
	# lkajan: fastaseqs comes from the blimps package, this source does not have rules for creating it
	dh_install -X.svn -X.swp -XIntersectFeatures.jar -XManuals -Xfastaseqs -Xlinux -Xsolaris bin $(prefix)/lib/sift/
	#dh_install bin/IntersectFeatures.jar $(pkgdatadir)/
	dh_install -X.svn -X.swp blimps/docs $(prefix)/share/sift/blimps/

	#Links are created by debian/links
	for f in SIFT_for_submitting_fasta_seq.csh SIFT_for_submitting_NCBI_gi_id.csh; do \
		sed --in-place -e 's|\b__MAKE_PREFIX__\b|$(prefix)|g;s|__SIFT_SCRIPTDIR__|$(SIFT_SCRIPTDIR)|g;s|__SIFT_BINDIR__|$(SIFT_BINDIR)|g;' $(DESTDIR)$(SIFT_SCRIPTDIR)/$$f; \
	done;

	for f in seqs_chosen_via_median_info.csh \
	         SIFT_for_submitting_fasta_seq.csh \
		 SIFT_for_submitting_NCBI_gi_id.csh; \
	do \
		sed --in-place -e 's|\b__MAKE_PREFIX__\b|$(prefix)|g;s|__SIFT_SCRIPTDIR__|$(SIFT_SCRIPTDIR)|g;s|__SIFT_BINDIR__|$(SIFT_BINDIR)|g;' $(DESTDIR)$(SIFT_SCRIPTDIR)/$$f; \
	done;

	# look out: DNA_PROT_SUBROUTINES.pl is really a module (should be pm)!
	# Update: Not existing at all in 6.2.1
	for f in SIFT_subroutines.pm \
		 DNA_PROT_SUBROUTINES.pl \
		 perlscripts/get_BLINK_seq.pl \
		 perlscripts/separate_query_from_rest_of_seqs.pl \
		 perlscripts/separate_query_from_database.pl; \
	do \
		ff="$(DESTDIR)$(prefix)/lib/sift/bin/$$f"; \
		if [ -r "$$ff" ]; then \
			sed -i '1s%/usr/local/bin/%/usr/bin/%' $$ff; \
			chmod +x $$ff; \
		fi; \
	done;

	for f in IntersectFeatures.jar; do \
		if [ -r "$(DESTDIR)$(pkgdatadir)/$$f" ]; then \
			chmod -x $(DESTDIR)$(pkgdatadir)/$$f; \
		fi; \
	done;

=== debian/watch ===
version=4

http://sift.bii.a-star.edu.sg/www/code.html .*/sift@ANY_VERSION@@ARCHIVE_EXT@
